DSRW_READ_DIM_DESC(3)

FUNCTION
dsrw_read_dim_desc - Read the binary representation of a dimension descriptor.

SYNOPSIS
#include <karma_dsrw.h>

dim_desc * dsrw_read_dim_desc

(Channel channel)

DESCRIPTION
This routine will read the binary representation of a dimension descriptor from a channel object.

channel
    The channel object.

RETURN VALUE
A pointer to the dimension descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/